Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class Join

    java.lang.Object
      |
      +--kodo.jdbc.sql.Join

All Implemented Interfaces:
  Cloneable, Comparable

public class Join
extends Object
implements Comparable, Cloneable

Represents a SQL join.

Field Summary
`static int` | `SYNTAX_DATABASE` Native database join syntax; outer joins are supported.
`static int` | `SYNTAX_SQL92` ANSI SQL 92 join syntax; outer joins are supported.
`static int` | `SYNTAX_TRADITIONAL` Traditional join syntax; outer joins are not supported.
`static int` | `TYPE_CROSS`
`static int` | `TYPE_INNER`
`static int` | `TYPE_OUTER`

Method Summary
`Object` | `clone()`
`int` | `compareTo(Object other)`
`boolean` | `equals(Object other)`
`String` | `getAlias1()`
`String` | `getAlias2()`
`ForeignKey` | `getForeignKey()`
`Table` | `getTable1()`
`Table` | `getTable2()`
`int` | `getType()`
`int` | `hashCode()`
`boolean` | `isForeignKeyInversed()`
`Join` | `reverse()` Return a join that is this join in reverse.
`void` | `setType(int type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SYNTAX_SQL92

    public static final int SYNTAX_SQL92

  ANSI SQL 92 join syntax; outer joins are supported.

### SYNTAX_TRADITIONAL

    public static final int SYNTAX_TRADITIONAL

  Traditional join syntax; outer joins are not supported.

### SYNTAX_DATABASE

    public static final int SYNTAX_DATABASE

  Native database join syntax; outer joins are supported.

### TYPE_INNER

    public static final int TYPE_INNER

### TYPE_OUTER

    public static final int TYPE_OUTER

### TYPE_CROSS

    public static final int TYPE_CROSS

Method Detail

### getType

    public int getType()

### setType

    public void setType(int type)

### getAlias1

    public String getAlias1()

### getAlias2

    public String getAlias2()

### getTable1

    public Table getTable1()

### getTable2

    public Table getTable2()

### getForeignKey

    public ForeignKey getForeignKey()

### isForeignKeyInversed

    public boolean isForeignKeyInversed()

### reverse

    public Join reverse()

  Return a join that is this join in reverse.

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.